pcl::PointCorrespondence3D Struct Reference
Module common

Representation of a (possible) correspondence between two 3D points in two different coordinate frames (e.g. More...

`#include <pcl/correspondence.h>`

Inheritance diagram for pcl::PointCorrespondence3D:

## Public Attributes

Eigen::Vector3f | point1
| The 3D position of the point in the first coordinate frame. More...
Eigen::Vector3f | point2
| The 3D position of the point in the second coordinate frame. More...
Public Attributes inherited from pcl::Correspondence
index_t | index_query = 0
| Index of the query (source) point. More...
index_t | index_match = UNAVAILABLE
| Index of the matching (target) point. More...
union {
float distance = std::numeric_limits<float>::max()
float weight
}; |
| Distance between the corresponding points, or the weight denoting the confidence in correspondence estimation. More...

## Additional Inherited Members

Public Member Functions inherited from pcl::Correspondence
| Correspondence ()=default
| Standard constructor. More...
| Correspondence (index_t _index_query, index_t _index_match, float _distance)
| Constructor. More...

## Detailed Description

Representation of a (possible) correspondence between two 3D points in two different coordinate frames (e.g.

from feature matching)

Definition at line 117 of file correspondence.h.

## Member Data Documentation

## point1

Eigen::Vector3f pcl::PointCorrespondence3D::point1

The 3D position of the point in the first coordinate frame.

Definition at line 119 of file correspondence.h.

## point2

Eigen::Vector3f pcl::PointCorrespondence3D::point2

The 3D position of the point in the second coordinate frame.

Definition at line 120 of file correspondence.h.

The documentation for this struct was generated from the following file:

- pcl/correspondence.h